import request from '@/utils/request'

export function listCategory(query) {
  return request({
    url: '/faqcategory/list',
    method: 'get',
    params: query
  })
}

export function listCatL1() {
  return request({
    url: '/faqcategory/l1',
    method: 'get'
  })
}

export function createCategory(data) {
  return request({
    url: '/faqcategory/create',
    method: 'post',
    data
  })
}

export function readCategory(data) {
  return request({
    url: '/faqcategory/read',
    method: 'get',
    data
  })
}

export function updateCategory(data) {
  return request({
    url: '/faqcategory/update',
    method: 'post',
    data
  })
}

export function deleteCategory(data) {
  return request({
    url: '/faqcategory/delete',
    method: 'post',
    data
  })
}
